package com.wuban.tron.explore.param.response;

import lombok.Builder;
import lombok.Data;

/**
 * <core>账户信息MODEL</core>
 *
 * @author sky
 * @date 2020/11/02
 */
@Data
@Builder
public class AddessInfoModel {

    private String address;
    private String balance;
    private String more_info;
    private String name;
    private String tag;
    private String creator;
    private String hash;
    private String type;
    private int txn_count;

    public static AddessInfoModel getInstance() {
        return AddessInfoModel.builder()
                .address("")
                .balance("")
                .more_info("")
                .name("")
                .tag("")
                .creator("")
                .hash("")
                .type("")
                .txn_count(0)
                .build();
    }

}
